'use strict'
const ensureAppEntry = require('./ensure-app-entry')
const start = require('./start')
const build = require('./build')

module.exports = options => {
  options = options || {}
  return ensureAppEntry(options)
    .then(() => {
      options.component = undefined
      if (options.dev) return start(options)
      return build(options)
    })
}
