# vue-prototype

[![npm](https://img.shields.io/npm/v/npm.svg?maxAge=2592000)](https://www.npmjs.com/package/vue-prototype)
[![npm download](https://img.shields.io/egoist/dm/vue-prototype.svg?maxAge=2592000)](https://www.npmjs.com/package/vue-prototype) 
[![circle](https://img.shields.io/circleci/project/egoist/vue-prototype/master.svg?maxAge=2592000)](https://circleci.com/gh/egoist/vue-prototype/tree/master)
[![codecov](https://img.shields.io/codecov/c/github/egoist/vue-prototype/master.svg?maxAge=2592000)](https://codecov.io/gh/egoist/vue-prototype)

## Install

```bash
$ npm install --save vue-prototype
```
## API

```js
const prototype = require('vue-prototype')

prototype(options).then(stats => {
  // blah...blah...
})
```

### entry

Type: `string`<br>
Default: `src/index.js`

It could be an app entry like `/path/to/app.js` or a single component `counter.vue`

### port

Type: `number`<br>
Default: `4000`

Server port.

### dev

Type: `boolean`<br>
Default: `false`

Run webpack in development mode.

### dest

Type: `string`<br>
Default: `./dist`

Dest directory.

### template

Type: `string`

Template path for html-webpack-plugin.

### quiet

Type: `boolean`<br>
Default: `false`

Behaves silently, outputs nothing.

## License

[MIT](https://egoist.mit-license.org/) © [EGOIST](https://github.com/egoist)
